Subject: Re: [PATCH v2 7/7] pmem, dax: have direct_access use __pmem annotation

From: Christoph Hellwig <[email-masked]>
Date: Sat, 15 Aug 2015 18:00:55 +0200

On Sat, Aug 15, 2015 at 08:44:27AM -0700, Dan Williams wrote:
> That said, while we don't need special accessors we do need guarantees
> that anything that has written to a persistent memory address has done
> so in a way that wmb_pmem() is able to flush it.  It's more of a "I've
> audited this code path for wmb_pmem() compatibility so use this api to
> write to pmem."

I'm more worried about things where don't just do plain loads and stores
to a pmem region but DMA, which will end up as a nightmare of casts.

But we can wait and see how that evolves in the end..